<?php
/*****************************************************************************************************
*
*
* @module: gplusone
* @file: gplusone.php
* @version: 1.0
* @package: gplusone
* @copyright: All rights reserved. Copyright (C) 2011 Aseox.fr
* @dependecies: jQuery, PrestaShop 1.4+
* @author: Aseox.fr - Sébastien HOUZET (sebastien@aseox.fr)
*
* NOTICE OF LICENSE
**
** This source file is copyrighted. All rights reserved. 
** Do not copy, edit, share or distrubute by any means. 
** This file and its package is protected by copyright law and international treaties.
** Unauthorized reproduction or distribution of this file, or any portion of it, may result in severe civil
** and criminal penalties, and will be prosecuted to the maximum extent possible under the law.
**
** DO NOT REDISTRUBUTE. DO NOT COPY. DO NOT MODIFY.
**
** PROPERTY OF ASEOX'S COMPANY:
**	SIRET: 514 076 157 RCS Roubaix Tourcoing
**	ADDRESS: 31 rue la Fonderie, 59200 Tourcoing, France
**
** All rights reserved. Copyright 2011 aseox.fr
******************************************************************************************************/


if (!defined('_CAN_LOAD_FILES_'))
	exit;

class GPlusOne extends Module
{	
	function __construct()
	{
	 	$this->name = 'gplusone';
	 	$this->tab = 'seo';
	 	$this->version = '1.0';
		$this->author = 'Aseox.fr';
        $this->displayName = 'Google +1';
		$this->description = $this->l('Add +1 to your product pages.');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
		
		$this->error = false;
		$this->valid = false;
		$this->warning = false;
					
	 	parent::__construct();
	}
	
    function install()
    {
        if (parent::install() == false OR
			$this->registerHook('extraLeft') == false OR
			$this->registerHook('header') == false OR
			!Configuration::updateValue('gplusone_size', 'small') OR
			!Configuration::updateValue('gplusone_count', 1))
			return false;

		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall() OR
			$this->unregisterHook('extraLeft') == false OR
			$this->unregisterHook('header') == false OR
			!Configuration::deleteByName ('gplusone_size') OR
			!Configuration::deleteByName ('gplusone_count'))
			return false;
		
		return true;
	}
	
	public function getContent()
	{
		$output = '<h2>Google +1</h2>';
		if (Tools::isSubmit('submitGPlusOne'))
		{
			if(Configuration::get('gplusone_size')=="tall")
				Configuration::updateValue('gplusone_count', 'true');
			else
				Configuration::updateValue('gplusone_count', Tools::getValue('gplusone_count','false'));
			
			Configuration::updateValue('gplusone_size', Tools::getValue('gplusone_size','small'));
		
			$output .= '
			<div class="conf confirm">
				<img src="../img/admin/ok.gif" alt="" title="" />
				'.$this->l('Settings updated').'
			</div>';
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$gplusone_size = Configuration::get('gplusone_size');
		
		if($gplusone_size=="tall")
			$gplusone_count="true";
		else
			$gplusone_count = Configuration::get('gplusone_count');						
				
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post" id="gplusone_form">
			<fieldset style="float:left;width:50%;" class="clearfix">
				<legend><img src="../img/admin/cog.gif" alt="" class="middle" />'.$this->l('Custom +1 button').'</legend>
				<label>'.$this->l('Size:').'</label>
				<div class="margin-form">
					<p><input '.(($gplusone_size=="small")?'checked="checked"':'').' group="size" id="gplusone-size-small" name="gplusone_size" type="radio" value="small">
					<label for="gplusone-size-small" style="width:100px;float:none;">'.$this->l('Small').' (15px)</label></p>
					<p><input '.(($gplusone_size=="standard")?'checked="checked"':'').' group="size" id="gplusone-size-standard" name="gplusone_size" type="radio" value="standard">
					<label for="gplusone-size-standard" style="width:100px;float:none;">'.$this->l('Standard').' (24px)</label></p>
					<p><input '.(($gplusone_size=="medium")?'checked="checked"':'').' group="size" id="gplusone-size-medium" name="gplusone_size" type="radio" value="medium">
					<label for="gplusone-size-medium" style="width:100px;float:none;">'.$this->l('Medium').' (20px)</label><br /></p>
					<p><input '.(($gplusone_size=="tall")?'checked="checked"':'').' group="size" id="gplusone-size-tall" name="gplusone_size" type="radio" value="tall">
					<label for="gplusone-size-tall" style="width:100px;float:none;">'.$this->l('Tall').' (60px)</label></p>
				</div>					
				<label>'.$this->l('Include count:').'</label>
				<div class="margin-form">
					<input type="checkbox" name="gplusone_count"'.(($gplusone_count=="true")?'checked="checked"':'').' value="true" '.(($gplusone_size=="tall")?'disabled="disabled"':'').' />
				</div>
				<input type="hidden" value="true" name="submitGPlusOne" />				
			</fieldset>
		</form>';
		
		$output .= '
			<fieldset style="float:right;width:40%;" class="clearfix">
					<legend><img src="../img/admin/appearance.gif" alt="" class="middle" />' . $this->l('Preview Button') . '</legend>					
					<script type="text/javascript" src="https://apis.google.com/js/plusone.js">
					  {lang: \'fr\'}
					</script>
					<g:plusone count="'.$gplusone_count.'" href="'._PS_BASE_URL_.__PS_BASE_URI__.'" size="'.$gplusone_size.'"></g:plusone>	
			</fieldset>
		';
		
		$output .= '
		
		<script type="text/javascript">
			$(\'input[name="gplusone_size"]\').change(function() {
				$(\'#gplusone_form\').submit();
			});
			$(\'input[name="gplusone_count"]\').change(function() {
				$(\'#gplusone_form\').submit();
			});			
		</script>
		';
		
		$output .= '
			<fieldset style="float:right;width:40%;" class="clearfix">
					<legend><img src="../img/admin/world.gif" alt="" class="middle" />' . $this->l('About Aseox.fr') . '</legend>
					<a href="http://www.aseox.fr" style="color:red;text-decoration:underline">Aseox</a> est une société spécialisée dans le développement de sites Ecommerce rentables sous Prestashop. Nous sommes également experts en génération de trafic (Référencement, Adwords...)
			</fieldset>
		';
		
		return $output;
	}
	
	function hookHeader($params)
	{
		global $smarty, $cookie;
		
		$smarty->assign('gplusone_lang', 'fr');		
		return $this->display(__FILE__, 'gplusone-header.tpl');
	}

	function hookExtraLeft($params)
	{
		global $smarty;
						
		$smarty->assign('gplusone_size', Configuration::get ('gplusone_size'));
		$smarty->assign('gplusone_count', Configuration::get ('gplusone_count'));
		
		return $this->display(__FILE__, 'gplusone.tpl');
	}
}
